# $Id: gxmame.spec,v 1.17 2003/10/21 16:02:18 dude Exp $

%define desktop_vendor freshrpms

Summary: A complete GTK+ frontend for xmame.
Name: gxmame
Version: 0.33
Release: 2.fr
License: GPL
Group: Applications/Emulators
Source: http://prdownloads.sourceforge.net/gxmame/gxmame-%{version}.tar.gz
Patch: gxmame-0.33-xmame074.diff
URL: http://gxmame.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.0, gdk-pixbuf, xmame >= 0.74.1
BuildRequires: gtk+-devel, gdk-pixbuf-devel
%{!?_without_freedesktop:BuildRequires: desktop-file-utils}

%description
GXMame is a frontend for XMame using the GTK library, the goal is to provide
the same GUI than mame32. For the moment it will just have the same gui, the
final goal is to be able to share config files with Mame32k (or any version
of mame32 that writes config files instead of saving data into windows
registery) allowing dual booter to have the same environement (favorite,
times played, last game selected, gui preference...) under windows and Linux.

Available rpmbuild rebuild options :
--without : freedesktop

%prep
%setup -q
%patch -p1 -b .xmame074

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}
rm -f %{buildroot}%{_datadir}/applnk/Games/Arcade/%{name}.desktop

%if %{!?_without_freedesktop:1}%{?_without_freedesktop:0}
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Red-Hat-Extra                                  \
  --add-category Application                                      \
  --add-category Game                                             \
  --add-category ArcadeGame                                       \
  %{buildroot}%{_datadir}/gnome/apps/Games/Arcade/%{name}.desktop
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{!?_without_freedesktop:%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop}
%{?_without_freedesktop:%{_datadir}/gnome/apps/Games/Arcade/%{name}.desktop}
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/%{name}.xpm

%changelog
* Tue Oct 21 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the patch to handle xmame >= 0.74 cleanly at last.

* Thu Jun 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.33.

* Tue May 27 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed patch since xmame 0.69.1 is back to the old behavior.

* Fri May 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added patch to work with xmame 0.68.1.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Mon Mar 24 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.32.

* Wed Mar 19 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added --without freedesktop build option.

* Mon Jan 13 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.31.

* Mon Nov 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.30 final.

* Tue Nov 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed menu entry by adding "ArcadeGame".
- Added XFX fix patch.

* Sun Oct 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.28.
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.

* Wed Aug  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.27.

* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Added missing pixmaps/gxmame to %%files.

